Subject: bug#36069: Menu-based installer unusable through noVNC

From: Björn Höfling <[email-masked]>
Date: Wed, 26 Jun 2019 18:51:41 +0200

On Tue, 25 Jun 2019 17:54:39 +0200
"pelzflorian (Florian Pelz)" <[email-masked]> wrote:

> On Tue, Jun 25, 2019 at 05:06:03PM +0200, Björn Höfling wrote:
> > I guess you (Ludovic) have tried the installer with QEMU and its
> > VNC-Server, maybe even with different VNC-clients?
> >   
> 
> It works with
> 
> qemu-system-x86_64 -m 1024 -smp 1 -enable-kvm -drive
> file=Downloads/guix-system-install-1.0.1.x86_64-linux.iso -vnc :0
> 
> as the VNC server and vinagre as the VNC client.
> 
> Sadly novnc and guacamole clients are not packaged.  I do not know if
> your errors are with the server or the client side.

I can confirm it works with vinagre, jvncviewer and guacamole.

What's the conclusion? Maybe that Guix is fine and the VNC-clients are
also fine. It might just be a matter of configuration or using an older
version with bugs?

For the record:

I started qemu slightly differently:

qemu-system-x86_64 -monitor stdio -m 1024 -smp 1 -enable-kvm -cdrom guix-system-install-1.0.1.x86_64-linux.iso -vnc :0

In that way, I have the QEMU console in my terminal and I can call the
"system_reset" command: I suspected that the bug would only appear when
the VNC-Client is connected WHILE the installer start up. Usually the
startup would be fast and the VNC-client connects only when the
installer is already visible.

I installed the guacamole daemon via Ubuntu, using Version
0.9.9-2build1.

I used Tomcat 9.0.21 with guacamole-1.0.0.war, setting up a
~/.guacamole folder (called GUACAMOLE_HOME) with these config files:

$ cat guacamole.properties 
guacd-hostname=localhost
guacd-port=4822
guacd-ssl=false

$ cat user-mapping.xml 
<user-mapping>
	
    <!-- Per-user authentication and config information -->
    <authorize username="guix" password="guix">
        <protocol>vnc</protocol>
        <param name="hostname">localhost</param>
        <param name="port">5900</param>
        <!--<param name="password">VNCPASS</param>-->
    </authorize>
</user-mapping>

Then I can start up tomcat, go to localhost:9999/guacamole, log in
as user "guix" and directly see the CORRECT installer.

When rebooting, I see correctly the grub startup screen, bootup and
I will see the correct installer, no truncations.

I tried the same with client-versions 0.9.10 and 0.9.14: OK.

I built the server in version 0.9.14, I was able to connect the client
with the server, but then nothing happened. Maybe I missed some
configure flag? Gave up here.

Björn

Lemma: It might not be too hard to package guacd. The client might be
harder, as it uses Maven as a build system.